[Launch]
ProgramExecutable=VCapDL\VCap.exe
SingleAppInstance=true
WaitForProgram=true
DirectoryMoveOK=yes
SupportsUNC=yes

[Activate]
Registry=true

[RegistryValueWrite]
HKCU\Software\VCapDL\DbgLog=REG_DWORD:0
HKCU\Software\VCapDL\DbgLogS=REG_DWORD:0
HKCU\Software\VCapDL\Config\general_is_check_for_updates=REG_DWORD:0
HKCU\Software\VCapDL\GeneralDownloadsFolder=REG_SZ:%PAL:Drive%%PAL:PackagePartialDir%\Downloads

[RegistryKeys]
VCapDL=HKCU\Software\VCapDL
-=HKCU\Software\Classes\CLSID\{083D4C73-B728-446d-9CA3-0143DAE369C4}
-=HKCU\Software\Classes\CLSID\{85806693-CEB7-DD76-D0B0-345C53EE4468}
-=HKCU\Software\Microsoft\Direct3D\MostRecentApplication
-=HKCU\Software\Microsoft\IntelliPoint\AppSpecific\VCap.exe
-=HKCU\Software\Microsoft\IntelliType Pro\AppSpecific\VCap.exe

[DirectoriesMove]
VCapDL=%APPDATA%\VCapDL
CEF=%LOCALAPPDATA%\CEF

[FileWrite1]
Type=Replace
File=%PAL:DataDir%\settings\VCapDL.reg
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\VCapDL.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\VCapDL.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\
